Subject: RE: minimising wavelength conversion in MPLmS systems

From: John Hopkins <[email-masked]>
Date: Mon, 31 Jan 2000 20:57:36 -0000

Hi Noel,

I appreciate your point. Integrating wavelength routing and wavelength allocation would yield more search space than performing a distinct shortest path route determination followed by a wavelength allocation for the returned route. i.e. An integrated routing/wavelength allocation scheme would provide superior results by exploring alternative routes on which non-blocking lambdas may be available. In a ring network there are not many routes to consider (there are 2 ways around the ring), so the extra effort of introducing an additional constraint in the search is not onerous. Obviously the search space could get much larger in more complicated topologies. The chances of finding a non-blocking wavelength will be greatly decreased in a very large network, so necessitating means to avoid blocking, i.e. wavelength conversion or searches of multiple alternative routes.

However that may still be missing the bigger picture - if one is optimising only for the next lightpath being setup, and there are in fact a whole sequence of lightpaths being established to create a lambda-mesh then it may not help. i.e. after optimally routing & wavelength allocating a couple of lightpaths independently you may have created blocking conditions for subsequent lightpaths that could have been avoided had you considered the entire sequence before hand. Of course one could extend this argument and conclude that a distributed architecture with each MPLmS node setting up lightpaths independently of one other is always going to yield non-optimal results, but that is probably overly pessimistic.

There is at least one paper "Dynamic wavelength allocation in all-optical ring networks" by O. Gerstel & S. Kutton (see http://www.research.ibm.com/wdm/route/dyn.ps.Z) that considers a heuristic-based wavelength allocation strategy for rings in which wavelength conversion is not possible. By intelligently allocating wavelengths to routes based on the length of the lightpath (no of hops) they aim to get a lot of wavelength re-use and avoid the problem above. Distributed MPLmS control on each OADM using a shortest path route determination procedure for each lightpath setup request, followed by such a heuristic for wavelength allocation would probably work well for creating router meshes in a ring network, but might not handle other applications well. It may be extendable using hierarchy, i.e. local lambda routing/allocation for lightpath segments in each ring uing such a heuristic together with exploitation of lambda-swapping/wavelength conversion on OXCs to interconnect rings. 

	I would recommend a Map Distribution based routing architecture
	(i.e. one that distributes network maps as the basic data).

	    > a distributed wavelength usage database for the optical domain ...
	    > (One issue is how to keep this information up to date.)

	As long as the network is small, this is not an issue. Existing Link-State
	routing algorithms (a subset of MD algorithms) do this all the time.

Sounds good. I am wondering if there is a way to support hierarchy in such maps in order that scaling can be achieved. i.e. map for each ring, and an abbreviated map for the network interconnecting rings, etc. i.e. something like hierarchy in pnni. I am thinking that wavelength allocation could be an important problem that the map would help to solve in a local domain such as a ring, but providing that wavelength conversion is available at the ndoe (e.g. OXC) interconnecting rings then it is not necessary for the source node to know wavelength usage outside its domain.

Cheers,
John  Hopkins

> -----Original Message-----
> From:	J. Noel Chiappa [SMTP:[email-masked]]
> Sent:	31 January 2000 18:08
> To:	[email-masked]; [email-masked]
> Cc:	[email-masked]
> Subject:	Re:  minimising wavelength conversion in MPLambdaS systems> 
> 
>     > From: John Hopkins <[email-masked]> 
> 
>     > wether lambda-assignment should be integrated with the process of
>     > determing a route for the LmSP, or be a follow-on activity from
>     > determing the route.
> 
> Well, given your goals, it would be greatly superior for it to be integrated.
> If not, it could take a while for the algorithm to stumble across a path which
> also happens to meet the additional wavelength allocation constraints (which
> will not be available to the initial path selection algorithm). This will
> especially true as the network size gets larger, and the number of potential
> paths increases. Indeed, in many routing architectures, you may never get to
> the path that meets your additional constraint - the routing algorithm won't
> explore that far in the solution space.
> 
>     > it is very advantageous if the same wavelength can be used along an
>     > entire lightpath traversing many nodes transparently (i.e.  with the
>     > same lambda-in and lamba-out)
> 
> Well, this is certainly more painful to do in a Destination Vector routing
> architecture (i.e. one that hands out routing tables). Their local
> decision-making characteristic (in which the decisions about the path are made
> by a number of independent nodes in parallel) are fundamentally at odds with
> the global nature of the optimization you're trying to do. (Which doesn't mean
> it's impossible, because classic Bellman-Ford algorithms minimize path length
> - a global characteristic - with a local algorithm.)
> 
> But certain capabilities (e.g. making one pair's path slightly longer to allow
> another pair to have a path without frequency conversion) can't really be done
> in DV systems. I would recommend a Map Distribution based routing architecture
> (i.e. one that distributes network maps as the basic data).
> 
>     > a distributed wavelength usage database for the optical domain ...
>     > (One issue is how to keep this information up to date.)
> 
> As long as the network is small, this is not an issue. Existing Link-State
> routing algorithms (a subset of MD algorithms) do this all the time.
> 
> 	Noel